
Welcome to my website!

<div>
	<img
	src="/assets/img/me.jpg"
	class="w4 br-sq mr3 mt2 fl"
	title="Sergei Akhmatdinov">
</div>

My name is Sergei, I am a computer engineering student and a hardware-software
enthusiast. I work as a research assistant in the fields of Computer
Architecture and Advanced Sensors. Additionally, I work as a tutor of
college-level mathematics, computer science and introductory physics.

My main hobbies include electronics, microcontrollers,
programming, foreign languages/cultures, and music.

I play acoustic and electric guitars, electric bass, autoharp, Arabic oud and
ney.

Aside from projects listed below, my contributions to the free software
community include work on the D programming language runtime and the FreeBSD
operating system.

I am the current president of my local [Tau Beta Pi](https://tbp.org) chapter.

I am also one of the founders and maintainers 
of [DarknSpace](https://darkn.space).

### Contacts

* Professional Email: firstname dot lastname at wmich.edu
* Personal Email/XMPP: sakhmatd at darkn.space ([GPG](assets/files/sakhmatd.gpg))


Feel free to contact me if you have any questions or feedback.

### Publications

* [A Novel Haptic System with Advanced Force Sensing Capabilities for Soft-Robotic Applications](https://doi.org/10.1109/fleps57599.2023.10220393) | [FLEPS 2023](https://2023.ieee-fleps.org/) |
**S. Akhmatdinov**; H. Dogdu; M. Haley; M. Panahi; A. J. Hanson; S. Masihi; A. H. Adineh; V. Palaniappan; D. Maddipatla; M. Z. Atashbar

  Tele-operation has seen considerable use in aerospace and medical
  applications. However, contemporary tele-robotic systems rely exclusively on
  visual feedback. We propose a haptic feedback system that would allow
  operators to receive touch-based feedback, increasing their control and
  dexterity. To address the flexibility and range issues found in modern
  capacitive touch sensors, we design a custom multi-layered touch sensor
  with cone and porous structure.

* [Accurate Performance and Power Prediction for FPGAs Using Machine Learning](https://doi.org/10.1109/fccm53951.2022.9786072) | [FCCM 2022](https://www.fccm.org/past/2022/) | Lina Sawalha; Tawfiq Abuaita; Martin Cowley; **Sergei Akhmatdinov**; Adam Dubs

  Calculating power consumption, execution time, and resource utilization for FPGA
designs created using High Level Synthesis (HLS) tools requires a complete place
& route procedure, which can take weeks or even months for some commercial
designs. We propose a fast, accurate, and generalizable machine learning model
to predict these design characteristics, bypassing the lengthy setup time required.

### Software Projects

Please find my FLOSS projects on [Github](https://github.com/sakhmatd).

Featured projects:

* [Rogueutil](https://github.com/sakhmatd/rogueutil) - Cross-platform C/C++ 
  library for creating text-based user interfaces (TUI) and console-based games
* [swege](software/swege.html) - Static WEbsite GEnerator
* [sdwmbar](https://github.com/sakhmatd/sdwmbar) - Simple statusbar for [dwm](https://dwm.suckless.org/)

### Hardware Projects
* 10BITS - A proof of concept Instruction Set Architecture implemented in Verilog.
* Intel i82C55A Clone - A clone of the classic Intel peripheral I/O (PIO) chip
  implemented in VHDL. Implements a partial subset of the original's
  functionality: modes 0 and 1 on a single peripheral bus are supported.
* Conveyor belt interface - A complete interface to a conveyor belt assembly
  system running on an ARM STM32F429. Supports speed control, detection of the
  objects being moved via IR and ultrasonic sensors, emergency controls and
  detailed output to a graphical LCD screen.
* Gas leak detector - A gas leak detector implemented on an AVR ATTiny2313.

### Articles and Notes

* [My Favorite Software](posts/good_software.html)
* [GNU/Linux on a Thinkpad 770X](posts/thinkpad_770x.html)
